Retrieves a Configurable Log Drain (deprecated)
GET
https://api.vercel.com/v1/log-drains/{id}Retrieves a Configurable Log Drain. This endpoint must be called with a team AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated team can be accessed.
https://api.vercel.com/v1/log-drains/{id}
const response = await fetch('https://api.vercel.com/v1/log-drains/id?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "clientId": "example_id", "configurationId": "example_id", "createdFrom": "string", "integrationConfigurationUri": "https://example.com", "integrationIcon": "string", "integrationWebsite": "string", "projectsMetadata": [ { "framework": "actix-web", "id": "icfg_1234567890", "latestDeployment": "string", "name": "Example Name" } ]}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error